#!/bin/sh

###
## ProM specific
###
PROGRAM=ProM
CP=./dist/ProM-Framework.jar:./dist/ProM-Contexts.jar:./dist/ProM-Models.jar:./dist/ProM-Plugins.jar
LIBDIR=./lib
MAIN=org.processmining.contexts.uitopia.UI

####
## Environment options
###
JAVABIN=./jre/jre1.7.0_80.jre/Contents/Home/bin/java

###
## Main program
###

add() {
	CP=${CP}:$1
}


for lib in $LIBDIR/*.jar
do
	add $lib
done

$JAVABIN -version
$JAVABIN -da -Xmx4G -XX:MaxPermSize=256m -classpath ${CP} -Djava.library.path=${LIBDIR} -Djava.util.Arrays.useLegacyMergeSort=true -DsuppressSwingDropSupport=false ${MAIN}
